<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: CodePosForJSON Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_code_pos_for_j_s_o_n.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_code_pos_for_j_s_o_n-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">CodePosForJSON Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_write_j_s_o_n_report_8h_source.html">WriteJSONReport.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac83c8444dedd7ab82a1f00d6aee0ef5a"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_code_pos_for_j_s_o_n.html#ac83c8444dedd7ab82a1f00d6aee0ef5a">ExpText</a></td></tr>
<tr class="separator:ac83c8444dedd7ab82a1f00d6aee0ef5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22777425846538c6d599918122ada7b2"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_code_pos_for_j_s_o_n.html#a22777425846538c6d599918122ada7b2">path</a></td></tr>
<tr class="separator:a22777425846538c6d599918122ada7b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad80c938daa038f8ecb37deb758ec2e5c"><td class="memItemLeft" align="right" valign="top">std::pair&lt; unsigned, unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_code_pos_for_j_s_o_n.html#ad80c938daa038f8ecb37deb758ec2e5c">startPos</a></td></tr>
<tr class="separator:ad80c938daa038f8ecb37deb758ec2e5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a420b339508ce7cda3afec543a808027a"><td class="memItemLeft" align="right" valign="top">std::pair&lt; unsigned, unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_code_pos_for_j_s_o_n.html#a420b339508ce7cda3afec543a808027a">endPos</a></td></tr>
<tr class="separator:a420b339508ce7cda3afec543a808027a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abef91e11c27988b6d08bfaa604f7a0b5"><td class="memItemLeft" align="right" valign="top">std::pair&lt; unsigned, unsigned &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_code_pos_for_j_s_o_n.html#abef91e11c27988b6d08bfaa604f7a0b5">start_endFileOfs</a></td></tr>
<tr class="separator:abef91e11c27988b6d08bfaa604f7a0b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a420b339508ce7cda3afec543a808027a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a420b339508ce7cda3afec543a808027a">&#9670;&nbsp;</a></span>endPos</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;unsigned,unsigned&gt; CodePosForJSON::endPos</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac83c8444dedd7ab82a1f00d6aee0ef5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac83c8444dedd7ab82a1f00d6aee0ef5a">&#9670;&nbsp;</a></span>ExpText</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string CodePosForJSON::ExpText</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a22777425846538c6d599918122ada7b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22777425846538c6d599918122ada7b2">&#9670;&nbsp;</a></span>path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string CodePosForJSON::path</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abef91e11c27988b6d08bfaa604f7a0b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abef91e11c27988b6d08bfaa604f7a0b5">&#9670;&nbsp;</a></span>start_endFileOfs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;unsigned,unsigned&gt; CodePosForJSON::start_endFileOfs</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad80c938daa038f8ecb37deb758ec2e5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad80c938daa038f8ecb37deb758ec2e5c">&#9670;&nbsp;</a></span>startPos</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::pair&lt;unsigned,unsigned&gt; CodePosForJSON::startPos</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_code_pos_for_j_s_o_n.html">CodePosForJSON</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
